Information for Themers and BBv0.5

Discussion in 'Bugless' started by GirLuvsDroid, Sep 22, 2010.

  1. GirLuvsDroid

    GirLuvsDroid Senior Member

    Joined:
    Feb 18, 2010
    Messages:
    1,551
    Likes Received:
    1
    Trophy Points:
    68
    Location:
    Wilmington, DE
    Ratings:
    +1
    Since I've been testing the v0.5 betas for a while, and I've ported my own theme to it, I thought I'd give some information. First, the framework has changed and the apps have been updated, so the v0.4 themes won't work without some updating.

    The good news is that the services.jar from v0.4 works just fine. Also, in framework-res.apk, the following files from v0.4 can be used: (1) in the drawable folder, the progress_horizontal.xml and, (2) from the layout folder, status_bar.xml, status_bar_expanded.xml and status_bar_latest_event_content.xml. You just need to insert those files into the new framework-res.apk.
     
    #1 GirLuvsDroid, Sep 22, 2010
    Last edited: Sep 22, 2010
  2. Doombot

    Doombot New Member

    Joined:
    May 13, 2010
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    I have been using Dark Edge with BB V0.4, but I have a feeling it won't be compatible with 0.5.

    Can you list the links to your theme? Thx.
     
  3. GirLuvsDroid

    GirLuvsDroid Senior Member

    Joined:
    Feb 18, 2010
    Messages:
    1,551
    Likes Received:
    1
    Trophy Points:
    68
    Location:
    Wilmington, DE
    Ratings:
    +1
    No, as I said above, v0.4 themes won't be compatible without some updating. Sorry, my theme is one I did just for me. I've never posted it anywhere.
     
  4. davros

    davros Premium Member
    Premium Member Developer

    Joined:
    Jun 7, 2010
    Messages:
    2,837
    Likes Received:
    31
    Trophy Points:
    113
    Location:
    Worcester MA
    Ratings:
    +33
    Weird that I got my theme to even work.

    sent by draining my battery
     
  5. keyblade

    keyblade Member

    Joined:
    Jun 30, 2010
    Messages:
    243
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    So FRG22D themes won't work natively on this (with the exception of themed applications)? I can probably port one of my small themes over that only deals with the framework pretty fast (granted I just use my own themes myself...so far at least).

    I'm also assuming I don't need to patch transparency because it seems like the patch notes said the services.jar is already patched.
     
  6. GirLuvsDroid

    GirLuvsDroid Senior Member

    Joined:
    Feb 18, 2010
    Messages:
    1,551
    Likes Received:
    1
    Trophy Points:
    68
    Location:
    Wilmington, DE
    Ratings:
    +1
    Yes, if you use the v0.5 services.jar, it's already patched. So long as you're using the latest FRG22D apps, then your app themes will be fine.
     
  7. AceDROID

    AceDROID Member

    Joined:
    Feb 3, 2010
    Messages:
    251
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    MA
    Ratings:
    +1
    odd, i put Smoked Glass from Adam (or Adamz) over .5 and it's working without a hiccup.

    The only thing I noticed is that when trying to download the twitter app its saying its not signed properly or whatever. Doubt it's a theming issue, it was happening to me before I went from .4 to .5...
     
  8. kook

    kook Premium Member
    Theme Developer Premium Member

    Joined:
    Dec 29, 2009
    Messages:
    2,041
    Likes Received:
    0
    Trophy Points:
    101
    Ratings:
    +0
    Haven't had a chance to apply this theme yet. Is there an option to change status bar/notification colors through settings?
     
  9. bgill55

    bgill55 Silver Member
    Theme Developer

    Joined:
    Feb 8, 2010
    Messages:
    2,344
    Likes Received:
    8
    Trophy Points:
    103
    Ratings:
    +8
    .04 themes will work but you will be downgrading as you are putting the old framework back!! make sense????
     
  10. GirLuvsDroid

    GirLuvsDroid Senior Member

    Joined:
    Feb 18, 2010
    Messages:
    1,551
    Likes Received:
    1
    Trophy Points:
    68
    Location:
    Wilmington, DE
    Ratings:
    +1
    I'm not sure what theme you're referring to, but those options are not available in this ROM.
     
  11. icculusX

    icculusX Premium Member
    Theme Developer Premium Member

    Joined:
    Feb 10, 2010
    Messages:
    2,534
    Likes Received:
    0
    Trophy Points:
    101
    Location:
    The Moon
    Ratings:
    +0
    Also some news that BB 0.5 will NOT work with the Theme Porter due to some failure at an audio lib file, which is really odd. This is sad because I really don't think I want to spend the time doing it by hand. If anyone finds a workaround please PM me...

    Only ROM so far that failed the Theme Porter.
     
  12. ACalcutt

    ACalcutt Member

    Joined:
    Nov 27, 2009
    Messages:
    209
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    I found all the xml changes i make more difficult with BB 0.5. Usually i just made the changes with a hex editor, but it seems either the hex values i used to search for are gone, or there were more then I expected.

    I actually had to decompile with apk manager, change the xml files, and recompile them this time (where before i could just make the changes i wanted with hxd and put them into the old apk)


    Also, does anyone know how to copy stuff into /data/app with an update.zip? I ended up just putting the apps in /system/app because i couldn't seem to get the update.zip to write to data.
     
    #12 ACalcutt, Sep 23, 2010
    Last edited: Sep 23, 2010